org.eclipse.gef.dot.internal.ui

## Class GraphvizPreferencePage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.preference.PreferencePage
    - - org.eclipse.jface.preference.FieldEditorPreferencePage
      - - org.eclipse.gef.dot.internal.ui.GraphvizPreferencePage

All Implemented Interfaces:
  java.util.EventListener, IDialogPage, IMessageProvider, IPreferencePage, IPropertyChangeListener, IWorkbenchPreferencePage

    public class GraphvizPreferencePage
    extends FieldEditorPreferencePage
    implements IWorkbenchPreferencePage

Store and access the path to the 'dot' executable in the preference store. The path can be set by the user, using a file selection dialog. The selected location is stored in the bundle's preferences and available from there after the initial setting.

### Nested Class Summary

Nested Classes
`static class` `GraphvizPreferencePage.GraphvizConfigurationDialog`

### Field Summary

Fields
`static java.lang.String` `DOT_EXPORTFORMAT_PREF_KEY`
`static java.lang.String` `DOT_PATH_PREF_KEY`

### Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

`FLAT, GRID, MARGIN_HEIGHT, MARGIN_WIDTH, VERTICAL_SPACING`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`GraphvizPreferencePage()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `createFieldEditors()`
`protected static org.osgi.service.prefs.Preferences` `dotUiPrefs()`
`protected static IPreferenceStore` `dotUiPrefStore()`
`static java.lang.String` `getDotExecutablePath()`
`static java.lang.String` `getDotExportFormat()`
`void` `init(IWorkbench workbench)`
`static boolean` `isGraphvizConfigured()`
`protected void` `performDefaults()`
`static void` `showGraphvizConfigurationDialog()`

### Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

`addField, adjustGridLayout, applyFont, checkState, createContents, dispose, getFieldEditorParent, initialize, performOk, propertyChange, setVisible`

### Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, okToLeave, performApply, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.preference.IPreferencePage

`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

### Field Detail

#### DOT_PATH_PREF_KEY

    public static final java.lang.String DOT_PATH_PREF_KEY

See Also:
  Constant Field Values

#### DOT_EXPORTFORMAT_PREF_KEY

    public static final java.lang.String DOT_EXPORTFORMAT_PREF_KEY

See Also:
  Constant Field Values

### Constructor Detail

#### GraphvizPreferencePage

    public GraphvizPreferencePage()

### Method Detail

#### isGraphvizConfigured

    public static boolean isGraphvizConfigured()

#### showGraphvizConfigurationDialog

    public static void showGraphvizConfigurationDialog()

#### getDotExecutablePath

    public static java.lang.String getDotExecutablePath()

#### getDotExportFormat

    public static java.lang.String getDotExportFormat()

#### dotUiPrefs

    protected static org.osgi.service.prefs.Preferences dotUiPrefs()

#### dotUiPrefStore

    protected static IPreferenceStore dotUiPrefStore()

#### init

    public void init(IWorkbench workbench)

Specified by:
  `init` in interface `IWorkbenchPreferencePage`

#### createFieldEditors

    protected void createFieldEditors()

Specified by:
  `createFieldEditors` in class `FieldEditorPreferencePage`

#### performDefaults

    protected void performDefaults()

Overrides:
  `performDefaults` in class `FieldEditorPreferencePage`